package com.gamedog.vididin.manager

import java.io.Serializable




data class DailySignBean(
    var startMs: Long = 0,
    val signStateList: MutableList<DailySignDayInfoBean> = mutableListOf()

): Serializable {
    companion object{
        const val SIGN_STATE_ENABLE = 1
        const val SIGN_STATE_DISABLE = 2
        const val SIGN_STATE_DONE = 3
        const val SIGN_STATE_FORGOT = 4
    }

    init {
        signStateList.add(DailySignDayInfoBean())
        signStateList.add(DailySignDayInfoBean())
        signStateList.add(DailySignDayInfoBean())
        signStateList.add(DailySignDayInfoBean())
        signStateList.add(DailySignDayInfoBean())
        signStateList.add(DailySignDayInfoBean())
        signStateList.add(DailySignDayInfoBean())
    }
}


data class DailySignDayInfoBean(
    var hasSigned: Boolean = false,
    var hasWatchedAd: Boolean = false,
    var hasRewardedNum: Int = 0,
): Serializable


